aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorhackademix <giorgio@maone.net>2018-10-02 15:50:23 +0200
committerhackademix <giorgio@maone.net>2018-10-02 23:00:21 +0200
commit43502637288f9f60019be2759e5049d0fe9377fe (patch)
treec654cea77ca8abaa17df3adc5d1ce0114ee4544a /build.sh
parent37774e035b5ebf53e2fde92b11e4f3419b53909c (diff)
Jasmine-based automated tests suite.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 1e07fcb..0cd41d7 100755
--- a/build.sh
+++ b/build.sh
@@ -1,6 +1,16 @@
PATH=$PATH:./node_modules/.bin
which browserify > /dev/null || (echo "can not find browserify" && false) || exit
+# prepare / update testing environment if needed
+JASMINE_VER=3.2.1
+JASMINE_LIB="test/lib/jasmine-$JASMINE_VER"
+if ! [ -d "$JASMINE_LIB" ]; then
+ mkdir -p test/lib
+ rm -rf test/lib/jasmine-*
+ JASMINE_URL="https://github.com/jasmine/jasmine/releases/download/v$JASMINE_VER/jasmine-standalone-$JASMINE_VER.zip"
+ curl -L -o "$JASMINE_LIB.zip" "$JASMINE_URL" && unzip -d test/ $JASMINE_LIB.zip lib/**
+ rm -f "$JASMINE_LIB.zip"
+fi
# Build the main file
browserify main_background.js -o bundle.js
@@ -9,7 +19,10 @@ browserify main_background.js -o bundle.js
mkdir ./build_temp
# Move source files to temp directory
-cp -r icons ./build_temp
+if [ "$1" == "-t" -o "$1" == "--test" ]; then
+ cp -r ./test ./build_temp
+fi
+cp -r ./icons ./build_temp
cp -r ./html ./build_temp
cp -r ./content ./build_temp
cp -r ./common ./build_temp